//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
// CommonHelpers satellite library | Author: Sergei Y.Kitáev
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
using System;

namespace CommonHelpers {

//**************************************************************************************************
partial class HConsole {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public void PrintEquationList([HOptional] string caption,string[] captions,string[] values)
{
   PrintEquationList(false,caption,captions,values);
}

//==================================================================================================

public void PrintEquationList(string[] captions,string[] values)
{
   PrintEquationList(false,captions,values);
}

public void PrintEquationList(string[] captions,ConsoleColor? captionColor,string[] values)
{
   PrintEquationList(false,captions,captionColor,values);
}

//--------------------------------------------------------------------------------------------------

public void PrintEquationList(string[] captions,string[] values,ConsoleColor? valueColor)
{
   PrintEquationList(false,captions,values,valueColor);
}

public void PrintEquationList( string[] captions, ConsoleColor? captionColor,
                               string[] values, ConsoleColor? valueColor )
{
   PrintEquationList(false,captions,captionColor,values,valueColor);
}

//--------------------------------------------------------------------------------------------------

public void PrintEquationList( string[] captions, ConsoleColor? captionColor,
                               string[] values, ConsoleColor? valueColor,
                               ConsoleColor? equationLigamentColor )
{
   PrintEquationList(false,captions,captionColor,values,valueColor,equationLigamentColor);
}

//--------------------------------------------------------------------------------------------------

public void PrintEquationList( string[] captions, ConsoleColor? captionColor,
                               string[] values, ConsoleColor? valueColor,
                               char? bulletChar, ConsoleColor? bulletColor,
                               ConsoleColor? equationLigamentColor )
{
   PrintEquationList( false,
      captions, captionColor, values, valueColor,
      bulletChar, bulletColor, equationLigamentColor );
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // HConsole
//**************************************************************************************************

} // CommonHelpers
